package com.pcloud.book.group.dao;

import com.pcloud.book.group.dto.BookGroupAppDTO;
import com.pcloud.book.group.dto.BookGroupIdAndCountDTO;
import com.pcloud.book.group.entity.BookGroupApp;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

/**
 * @Description
 * @Author ruansiyuan
 * @Date 2019/11/13 16:49
 **/
public interface BookGroupAppDao extends BaseDao<BookGroupApp> {
    Integer batchInsert(List<BookGroupApp> bookGroupApps);

    BookGroupApp getByCondition(BookGroupApp bookGroupApp);

    List<BookGroupAppDTO> getBookGroupAppDTOSByBookGroupId(Long bookGroupId);

    List<BookGroupIdAndCountDTO> getServerCountByBookGroupIds(List<Long> bookGroupIds);

    List<Long> getAllBookGroupId();
}
